#version 120

#define SHADOW_MAP_BIAS 0.3    // Shadow Map Bias [0.0 0.3 0.6 0.85]

varying vec4 color;
varying vec4 texcoord;

///main/////////////////

void main() {
    texcoord = gl_TextureMatrix[0] * gl_MultiTexCoord0;
    
    color = gl_Color;
    
    vec4 position = gl_ModelViewMatrix * gl_Vertex;
    gl_Position = gl_ProjectionMatrix * position;
    gl_Position.xy /= (1.0 - SHADOW_MAP_BIAS) + length(gl_Position.xy) * SHADOW_MAP_BIAS;
}

//////////////////////////////main//////////////////////////////
